Name:           incollector
Version:        1.0
Release:        6%{?dist}
Summary:        Information collector
Summary(pl):    Kolektor informacji
Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.incollector.devnull.pl/
Source0:        http://www.incollector.devnull.pl/download/sources/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk-sharp2-devel gettext desktop-file-utils
ExclusiveArch:  %ix86 x86_64 ppc ia64 armv4l sparc alpha

%description
Incollector is an application to collect various kinds of information 
(like notes, conversation logs, quotes, serial numbers, source code, 
web addresses, words). All the entries can be tagged, so you can find 
them very easily. There are also search folders which allows you to 
search for entries by specified criteria. You can also export 
(and import, of course) entries to an external file.

%description -l pl
Incollector to prosta aplikacja służąca do łatwego gromadzenia różnego typu 
informacji (notatki, adresy stron internetowych, cytaty, numery seryjne, etc). 
Pozwala nadawać wpisom tagi, oceny oraz komentarze. Dzięki funkcji 
inteligentnych folderów, umożliwia łatwe i dokładne przeszukiwanie wpisanych 
informacji według wybranych kryteriów.

%prep
%setup -q
chmod a-x README AUTHORS
sed -i 's|be-latin|be@latin|' configure
pushd po
mv be-latin.po be@latin.po
mv be-latin.gmo be@latin.gmo
popd

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
sed -i 's|/usr/lib|%{_libdir}|' %{name}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}
rm $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.ico
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Feb 08 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-6
- Correct install section

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-5
- Correct ExclusiveArch

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-4
- Correct install section
- Add ExclusiveArch

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-3
- Correct install section

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-2
- Fix BRs
- Fix Source 0

* Sun Feb 03 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 1.0-1
- First release
